package agents

import (
	gophercloud "gerrit.mcp.mirantis.net/debian/gophercloud.git"
	"gerrit.mcp.mirantis.net/debian/gophercloud.git/pagination"
)

func List(c *gophercloud.ServiceClient) pagination.Pager {
	u := listURL(c)
	return pagination.NewPager(c, u, func(r pagination.PageResult) pagination.Page {
		return AgentPage{pagination.LinkedPageBase{PageResult: r}}
	})
}
